/* Communication Testing Program for RS-232            */
/* Author : Charming, Tsang-Min Chen , DECISION TAIWAN */
/* Date : 12/08/95                                     */
/* Compiler : BC 2.0 for OS/2                          */
/* PlatForm : OS/2 EXE Window ( No PM Supported )      */
#ifdef _OS2_
#define INCL_DOSPROCESS
#include <os2.h>
#else
#define DosExit(x, y)  exit(y)
#endif
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys\stat.h>
#include <conio.h>
#include <io.h>
#include <mem.h>

void	main(int argc, char *argv[])
{
	char	TmpBuf[80], ShowChar;
	int	Fid, bytewrite;

	if (argc != 2) {
		puts("Usage : ComSent ComXX \n");
		DosExit(0, 1);
	}
	if ( ( Fid = open(argv[1], O_RDWR | O_BINARY ) ) <= 0 ) {
		puts("Open %s Error\n");
		DosExit(0, 2);
	}
	ShowChar = 0x20;
	TmpBuf[78]='\r';
	TmpBuf[79]='\n';
	while ( ! kbhit() ) {
	    memset(TmpBuf, ShowChar, 78);
	    if ( write(Fid, TmpBuf, 80) != 80 ) {
		puts("write Error\n");;
	    }
	    if ( ShowChar < 0x7F ) ShowChar ++;
	    else ShowChar = 0x20;
	}
	close(Fid);
	DosExit(0,0);
}