/* Communication Testing ( Receive ) --- For Borland C++ Testing  */
#ifdef _OS2_
#define INCL_DOSPROCESS
#include <os2.h>
#else
#define DosExit(x,y)  exit(y)
#endif
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys\stat.h>
#include <conio.h>
#include <io.h>
#include <mem.h>
#include <dos.h>

#define KEY_ESC  0x1B
#define KEY_XON  0x11
#define KEY_XOFF 0x13
#define KEY_S    'S'
#define KEY_Q    'Q'

void	main(int argc, char *argv[])
{
	char	TmpBuf[1024], c;
	int	Fid, byteread, i, Work=1;

	if (argc != 2) {
		puts("Usage : ComRecv ComXX \n");
		DosExit(0, 1);
	}
	if ( ( Fid = open(argv[1], O_RDWR | O_BINARY ) ) <= 0 ) {
		puts("Open Error\n");
		DosExit(0, 2);
	}
	while ( Work ) {
	    memset(TmpBuf, '\0', 81);
	    if ( kbhit() ) {
		c = getch();
		switch ( c ) {
		case KEY_ESC : Work = 0; break;
		case KEY_S :
		    c = KEY_XOFF;
		    if ( write(Fid, &c, 1) != 1 ) {
			puts("can't send XOFF back to sender\n");
			Work =0;
		    } else puts("Send XOFF\n\r");
		    break;
		case KEY_Q :
		    c = KEY_XON;
		    if ( write(Fid, &c, 1) != 1 ) {
			puts("can't send XON back to sender\n");
			Work =0;
		    } else puts("Send XON\n\r");
		    break;
		}
	    }
	    if ( c != KEY_XOFF )
	       if ( ( byteread = read(Fid, TmpBuf, 80) ) < 0 ) {
		  puts("read Error\n");;
	       } else
		  for (i=0; i<byteread; i++)
		     putch(TmpBuf[i]);
	    else sleep(1);
	}
	close(Fid);
	DosExit(0,0);
}